aboutsummaryrefslogtreecommitdiff
path: root/external/miniupnpc/testupnpreplyparse.sh
diff options
context:
space:
mode:
authorAntonio Juarez <antonio.maria.juarez@live.com>2014-04-09 13:14:35 +0100
committerAntonio Juarez <antonio.maria.juarez@live.com>2014-04-09 13:14:35 +0100
commit9682a15400495ae490543e7e5af242ff5c4c9fa0 (patch)
tree63ba7287d8f679742a244413291d4334fc26b6e6 /external/miniupnpc/testupnpreplyparse.sh
parentImprovements in JSON RPC (diff)
downloadmonero-9682a15400495ae490543e7e5af242ff5c4c9fa0.tar.xz
Port mapping with UPnP
Diffstat (limited to 'external/miniupnpc/testupnpreplyparse.sh')
-rwxr-xr-xexternal/miniupnpc/testupnpreplyparse.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/external/miniupnpc/testupnpreplyparse.sh b/external/miniupnpc/testupnpreplyparse.sh
new file mode 100755
index 000000000..992930b7b
--- /dev/null
+++ b/external/miniupnpc/testupnpreplyparse.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+for f in testreplyparse/*.xml ; do
+ bf="`dirname $f`/`basename $f .xml`"
+ if ./testupnpreplyparse $f $bf.namevalue ; then
+ echo "$f : passed"
+ else
+ echo "$f : FAILED"
+ exit 1
+ fi
+done
+
+exit 0
+